Bug 12255 - XDamage doesn't work with Compiz and nvidia-restricted
Summary: XDamage doesn't work with Compiz and nvidia-restricted
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/compiz (show other bugs)
Version: unspecified
Hardware: x86 (IA32) All
: high major
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: https://bugs.launchpad.net/ubuntu/+so...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-02 07:01 UTC by Jonh Wendell
Modified: 2010-05-22 08:49 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonh Wendell 2007-09-02 07:01:41 UTC
XDamage extension doesn't work with 3D desktops, like compiz.

This blocks, for instance, VNC servers (like GNOME vino) who use this extension.
Comment 1 Daniel Stone 2007-09-02 07:09:15 UTC
this should be fixed with current git mesa/xserver/et al, i believe.
Comment 2 Jonh Wendell 2007-09-02 07:24:55 UTC
(In reply to comment #1)
> this should be fixed with current git mesa/xserver/et al, i believe.
> 

Oh, this is a great news. Do you have any idea when a new tarball (release) will be released?
Thanks,
Comment 3 Andrew Barbaccia 2009-04-01 07:02:10 UTC
This seems to still be happening on latest Ubuntu Jaunty Beta with -restricted drivers (tested with nvidia restricted). vnc will show a static image with no refreshes. Monitoring the system will show that actions are actually taking place (or starting another vnc session to grab a new 'snapshot').

More info here: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/353126

Comment 4 maximlevitsky 2009-08-31 16:50:24 UTC
Is the fix for that included in server 1.6 that ubuntu uses
Comment 5 Andrew Barbaccia 2009-09-22 06:21:37 UTC
In the newest karmic with xserver 1.7 this is still an issue. Bug 595949  (https://bugzilla.gnome.org/show_bug.cgi?id=595949) has been opened with slightly more information. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.